Skip to content
GET /datastore/{id}

Path Parameters

idstring · uuid
required·

The ID of the datastore to retrieve.

Response Body

configobject

Config object for the datastore connection (minus sensitive fields). The shape depends on type.

Example: {"base_url":"https://data.mongodb-api.com/app/...","database":"my_db"}
One of
Mongo Data Api · 4 properties
api_keystring

Atlas Data API key. Treat as a secret.

api_urlstring

Base URL of your Atlas Data API endpoint.

data_sourcestring

Name of the Atlas cluster (the Data API "data source").

databasestring
Google Cloud Storage · 2 properties
credentialsobject
required·

Service-account JSON used to authenticate against Google Cloud Storage.

11 properties
auth_provider_x509_cert_urlstring
auth_uristring
client_emailstring
client_idstring
client_x509_cert_urlstring
private_keystring
private_key_idstring
project_idstring
token_uristring
typestring
universe_domainstring
bucketstring
S3 · 5 properties
access_key_idstring
base_urlstring

Optional override for non-AWS S3 endpoints (e.g. R2, MinIO).

bucketstring
regionstring
secret_access_keystring

Secret access key. Treat as a secret.

Qdrant · 4 properties
api_keystring

Qdrant API key. Treat as a secret.

base_urlstring
collectionstring
portinteger
created_atstring · date-time

Timestamp when the datastore record was created.

environment_idstring · uuid

The environment to which this datastore belongs.

idstring · uuid

The unique ID of the datastore.

labelstring

A friendly label for identifying this datastore.

typestring

The datastore's backend type. Determines the shape of config.

Possible values:
mongo_data_apigoogle_cloud_storages3qdrant
updated_atstring · date-time

Timestamp when the datastore record was last updated.

curl -X GET 'https://api.truto.one/datastore/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/datastore/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/datastore/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.datastore.get('<id>');

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.datastores.get("<id>")
    print(result)

asyncio.run(main())